[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CalendarPopup' (#lcl)

# TCalendarPopupForm.CalendarDblClick

Performs actions needed when a double click mouse event occurs in the Calendar control.

## Declaration

Source position: calendarpopup.pas line 32

`procedure TCalendarPopupForm.CalendarDblClick(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Object for the event notification.

## Description

CalendarDblClick ensures that the mouse event is within the bounds for the Calendar control by calling its HitTest method. When the mouse event occurs on the Month or Year calendar parts, the ReturnDate method is called to signal the OnReturnDate event handler and close the form.

## See also

TCustomCalendar.HitTest |  | Indicates where a mouse click occurred in the calendar control.
TCalendarPart |  | Indicates where a mouse click occurred in a calendar control.